apiVersion: external-secrets.io/v1beta1
kind: ExternalSecret
metadata:
  name: cloudflare
spec:
  refreshInterval: 1h
  secretStoreRef:
    kind: ClusterSecretStore
    name: oracle
  target:
    name: cloudflare
    creationPolicy: Owner
    template:
      data:
        apiKey: "{{`{{ .value }}`}}"
  data:
  - secretKey: value
    remoteRef:
      key: cloudflare_dns_token
